---
title: "Brand reassign CC email"
url: "https://docs.signnow.com/docs/cc-email-branding/operations/put-v2-brands-brand_id-resources-email-cc-invite-reassign"
type: "endpoint"
section: "cc-email-branding"
slug: "cc-email-branding/operations/put-v2-brands-brand_id-resources-email-cc-invite-reassign"
method: "PUT"
path: "/v2/brands/{brand_id}/resources/email-cc-invite-reassign"
operation_id: "put-v2-brands-brand_id-resources-email-cc-invite-reassign"
authorization: "bearer"
---

# Brand reassign CC email

`PUT /v2/brands/{brand_id}/resources/email-cc-invite-reassign`

This endpoint allows users to add and edit branding for CC emails that are sent with reassign emails.

Branding for reassign CC emails is available for the following invite types:

* [Document field invite](/docs/document-field-invite/operations/post-field_invite)
* [Document group field invite](/docs/doc-group-field-invite/operations/invite-to-sign-document-group)

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "en": {
      "type": "object",
      "properties": {
        "from": {
          "type": "string",
          "maxLength": 300,
          "description": "Custom text indicating sender."
        },
        "subject": {
          "type": "string",
          "maxLength": 300,
          "description": "Email subject text. Placeholder `{sender_email}` is available."
        },
        "body_header": {
          "type": "string",
          "maxLength": 300,
          "description": "Email header text."
        },
        "ccd_message": {
          "type": "string",
          "maxLength": 300,
          "description": "Custom CC message text. Placeholder `{cc_emails}` that lists other recipients of CC emails is available."
        },
        "body_message": {
          "type": "string",
          "maxLength": 300,
          "description": "Email body text. Placeholders `{document_name}`, `{sender_email}`, `{old_signer_email}`, and `{new_signer_email}` are available."
        },
        "footer_message": {
          "type": "string",
          "maxLength": 300,
          "description": "Email footer message."
        }
      },
      "description": "Language of the email. Possible values: `en` for English, `es` for Spanish, and `fr` for French. You need to add translated texts. For more information, see [Language branding](/docs/guides-branding#language-branding)."
    }
  },
  "x-examples": {
    "Example 1": {
      "en": {
        "from": "From user ",
        "subject": "My custom subject {document_name}",
        "expiration": "Expiration message {days}",
        "body_header": "Body header message",
        "body_message": "Body message {document_name}",
        "footer_message": "Footer message EN"
      },
      "es": {
        "from": "From user",
        "subject": "My custom subject {document_name}",
        "expiration": "Expiration message {days}",
        "body_header": "Body header message",
        "body_message": "Body message {document_name}",
        "footer_message": "Footer message"
      },
      "fr": {
        "from": "From user",
        "subject": "My custom subject {document_name}",
        "expiration": "Expiration message {days}",
        "body_header": "Body header message",
        "body_message": "Body message {document_name}",
        "footer_message": "Footer message"
      }
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "en": {
    "from": "Sender Name",
    "subject": "{sender_email} has CC'd you in an invitation",
    "body_header": "An invitation you were CC'd in was forwarded to another recipient",
    "ccd_message": "The following people were cc'd:\n{cc_emails}",
    "body_message": "{old_signer_email} forwarded their invitation to {new_signer_email} to fill out and sign {document_name} from {sender_email}.",
    "footer_message": "Unique Solutions Inc."
  },
  "es": {
    "from": "Nombre del remitente",
    "subject": "{sender_email} te ha puesto en CC en una invitaci\u00f3n",
    "body_header": "Una invitaci\u00f3n en la que estabas en CC fue reenviada a otro destinatario",
    "ccd_message": "Se copi\u00f3 a las siguientes personas en el env\u00edo:\n{cc_emails}",
    "body_message": "{old_signer_email} ha reenviado su invitaci\u00f3n a {new_signer_email} para completar y firmar {document_name} de parte de {sender_email}.",
    "footer_message": "Unique Solutions Inc."
  },
  "fr": {
    "from": "Nom de l'exp\u00e9diteur",
    "subject": "{sender_email} vous a mis en CC dans une invitation",
    "body_header": "Une invitation dans laquelle vous \u00e9tiez en CC a \u00e9t\u00e9 transf\u00e9r\u00e9e \u00e0 un autre destinataire.",
    "ccd_message": "Les personnes suivantes \u00e9taient en cc:\n{cc_emails}",
    "body_message": "{old_signer_email} a transf\u00e9r\u00e9 son invitation \u00e0 {new_signer_email} pour remplir et signer {document_name} de la part de {sender_email}.",
    "footer_message": "Unique Solutions Inc."
  }
}
```

## Responses

### 204

Success, no content

### 404

Brand with this `brand_id` doesn't exist

**Example** (`Example 1`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X PUT \
  "https://api.signnow.com/v2/brands/{brand_id}/resources/email-cc-invite-reassign" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"en": {"from": "Sender Name", "subject": "{sender_email} has CC'\''d you in an invitation", "body_header": "An invitation you were CC'\''d in was forwarded to another recipient", "ccd_message": "The following people were cc'\''d:\n{cc_emails}", "body_message": "{old_signer_email} forwarded their invitation to {new_signer_email} to fill out and sign {document_name} from {sender_email}.", "footer_message": "Unique Solutions Inc."}, "es": {"from": "Nombre del remitente", "subject": "{sender_email} te ha puesto en CC en una invitaci\u00f3n", "body_header": "Una invitaci\u00f3n en la que estabas en CC fue reenviada a otro destinatario", "ccd_message": "Se copi\u00f3 a las siguientes personas en el env\u00edo:\n{cc_emails}", "body_message": "{old_signer_email} ha reenviado su invitaci\u00f3n a {new_signer_email} para completar y firmar {document_name} de parte de {sender_email}.", "footer_message": "Unique Solutions Inc."}, "fr": {"from": "Nom de l'\''exp\u00e9diteur", "subject": "{sender_email} vous a mis en CC dans une invitation", "body_header": "Une invitation dans laquelle vous \u00e9tiez en CC a \u00e9t\u00e9 transf\u00e9r\u00e9e \u00e0 un autre destinataire.", "ccd_message": "Les personnes suivantes \u00e9taient en cc:\n{cc_emails}", "body_message": "{old_signer_email} a transf\u00e9r\u00e9 son invitation \u00e0 {new_signer_email} pour remplir et signer {document_name} de la part de {sender_email}.", "footer_message": "Unique Solutions Inc."}}'
```

---
*Full reference: https://docs.signnow.com/docs/cc-email-branding/operations/put-v2-brands-brand_id-resources-email-cc-invite-reassign*
